Subject: Re: 02/02: gnu: syncthing: Prepare for cross-compiling.

From: Leo Famulari <[email-masked]>
Date: Sun, 22 Aug 2021 16:30:03 -0400

On Sun, Aug 22, 2021 at 02:42:43PM -0400, Leo Famulari wrote:
> Quoting from Efraim on #guix:
> 
> "the go cross-build error I was seeing is this: go install: cannot install cross-compiled binaries when GOBIN is set"

Upstream gives instructions on how to cross-compile Syncthing:

------
`go run build.go build`

    Builds just the named target, or syncthing by default, to the
    current directory. Use this when cross compiling, with parameters
    for what to cross compile to: go run build.go -goos linux -goarch
    386 build.
------

https://docs.syncthing.net/dev/building.html#subcommands-and-options